# HG changeset patch
# Node ID c0ea087a3ee8
# Parent  4765d82d4d60
diff --git a/pidgin/pidginaccounteditor.c b/pidgin/pidginaccounteditor.c
--- a/pidgin/pidginaccounteditor.c
+++ b/pidgin/pidginaccounteditor.c
@@ -99,6 +99,7 @@ pidgin_account_editor_add_user_split(gpo
 		editor->user_split_rows = g_list_append(editor->user_split_rows, row);
 		gtk_list_box_append(GTK_LIST_BOX(editor->user_splits), row);
 
+		gtk_widget_set_focusable(row, FALSE);
 		adw_preferences_row_set_title(ADW_PREFERENCES_ROW(row),
 		                              purple_account_user_split_get_text(split));
 
@@ -303,6 +304,7 @@ pidgin_account_editor_add_advanced_boole
 	row = adw_action_row_new();
 	g_object_bind_property(editor->advanced_toggle, "active", row, "visible",
 	                       G_BINDING_SYNC_CREATE);
+	gtk_widget_set_focusable(row, FALSE);
 	adw_preferences_row_set_use_underline(ADW_PREFERENCES_ROW(row), TRUE);
 	title = g_strdup_printf("_%s", purple_account_option_get_text(option));
 	adw_preferences_row_set_title(ADW_PREFERENCES_ROW(row), title);
@@ -347,6 +349,7 @@ pidgin_account_editor_add_advanced_int(P
 	row = adw_action_row_new();
 	g_object_bind_property(editor->advanced_toggle, "active", row, "visible",
 	                       G_BINDING_SYNC_CREATE);
+	gtk_widget_set_focusable(row, FALSE);
 	adw_preferences_row_set_use_underline(ADW_PREFERENCES_ROW(row), TRUE);
 	title = g_strdup_printf("_%s", purple_account_option_get_text(option));
 	adw_preferences_row_set_title(ADW_PREFERENCES_ROW(row), title);
@@ -397,6 +400,7 @@ pidgin_account_editor_add_advanced_strin
 	row = adw_action_row_new();
 	g_object_bind_property(editor->advanced_toggle, "active", row, "visible",
 	                       G_BINDING_SYNC_CREATE);
+	gtk_widget_set_focusable(row, FALSE);
 	adw_preferences_row_set_use_underline(ADW_PREFERENCES_ROW(row), TRUE);
 	title = g_strdup_printf("_%s", purple_account_option_get_text(option));
 	adw_preferences_row_set_title(ADW_PREFERENCES_ROW(row), title);
diff --git a/pidgin/resources/Accounts/editor.ui b/pidgin/resources/Accounts/editor.ui
--- a/pidgin/resources/Accounts/editor.ui
+++ b/pidgin/resources/Accounts/editor.ui
@@ -51,11 +51,14 @@ along with this program; if not, see <ht
                 </child>
                 <child>
                   <object class="AdwPreferencesRow">
+                    <property name="focusable">0</property>
                     <child>
                       <object class="GtkListBox" id="user_splits">
+                        <property name="focusable">0</property>
                         <child>
                           <object class="AdwActionRow">
                             <property name="activatable-widget">username</property>
+                            <property name="focusable">0</property>
                             <property name="title" translatable="1">_Username</property>
                             <property name="use-underline">1</property>
                             <child>
@@ -75,6 +78,7 @@ along with this program; if not, see <ht
                 <child>
                   <object class="AdwActionRow" id="require_password_row">
                     <property name="activatable-widget">avatar</property>
+                    <property name="focusable">0</property>
                     <property name="title" translatable="1">Require _password</property>
                     <property name="subtitle" translatable="1">This account has an optional password, setting this will make it required</property>
                     <property name="use-underline">1</property>
@@ -94,6 +98,7 @@ along with this program; if not, see <ht
                 <child>
                   <object class="AdwActionRow">
                     <property name="activatable-widget">alias</property>
+                    <property name="focusable">0</property>
                     <property name="title" translatable="1">_Local alias</property>
                     <property name="use-underline">1</property>
                     <child>
@@ -108,6 +113,7 @@ along with this program; if not, see <ht
                 <child>
                   <object class="AdwActionRow" id="avatar_row">
                     <property name="activatable-widget">avatar</property>
+                    <property name="focusable">0</property>
                     <property name="title" translatable="1">Use custom _avatar</property>
                     <property name="use-underline">1</property>
                     <property name="visible">0</property>
@@ -189,12 +195,15 @@ along with this program; if not, see <ht
                 </child>
                 <child>
                   <object class="AdwPreferencesRow" id="proxy_options">
+                    <property name="focusable">0</property>
                     <property name="visible">0</property>
                     <child>
                       <object class="GtkListBox">
+                        <property name="focusable">0</property>
                         <child>
                           <object class="AdwActionRow">
                             <property name="activatable-widget">proxy_host</property>
+                            <property name="focusable">0</property>
                             <property name="title" translatable="1">_Host</property>
                             <property name="use-underline">1</property>
                             <child>
@@ -208,6 +217,7 @@ along with this program; if not, see <ht
                         <child>
                           <object class="AdwActionRow">
                             <property name="activatable-widget">proxy_port</property>
+                            <property name="focusable">0</property>
                             <property name="title" translatable="1">P_ort</property>
                             <property name="use-underline">1</property>
                             <child>
@@ -230,6 +240,7 @@ along with this program; if not, see <ht
                         <child>
                           <object class="AdwActionRow">
                             <property name="activatable-widget">proxy_username</property>
+                            <property name="focusable">0</property>
                             <property name="title" translatable="1">User_name</property>
                             <property name="use-underline">1</property>
                             <child>
@@ -243,6 +254,7 @@ along with this program; if not, see <ht
                         <child>
                           <object class="AdwActionRow">
                             <property name="activatable-widget">proxy_password</property>
+                            <property name="focusable">0</property>
                             <property name="title" translatable="1">Pa_ssword</property>
                             <property name="use-underline">1</property>
                             <child>
